/*******************************************

         現在のサイト内を検索
                                 2002/09/01
                                   by kazya
********************************************
[動作]
実行すると、ページ上で文字を選択している場合
はその文字列（そうでない場合は検索バーに入力
されている文字列）を、Googleから「取得文字列
site:現在開いているサイト」で検索して新しい
ウィンドウで開きます。
*******************************************/

var obj, document, id;
obj = new ActiveXObject("Sleipnir.API");
id = obj.GetDocumentID(obj.ActiveIndex);
document = obj.GetDocumentObject(id);

if (document == null){
	obj.MessageBox("Document を作成できません");
}
else{
	var query = GetSelectedText(document);
	if (query == ''){
		query = obj.SearchBarString;
	}else{
		obj.SearchBarString = query;
	}
	obj.AddressBarString.match(/http:\/\/([^/]+)/ig);
	var url = 'http://www.google.com/search?num=50&lr=lang_ja&q='+query+' site:'+RegExp.$1;
	obj.NewWindow(encodeURI(url),true);	
	document = null;
}
/**
 * GetSelectedText(document)
 * 現在選択されている文字を返す
 *
 * 引数 : document documentオブジェクト
 * 返り値 : 選択されている文字列。選択されていなかった場合空文字列を返す
**/
function GetSelectedText(document){
	var sel;
	sel = document.selection.createRange();
	return(sel.text);
}
obj = null;
